//     Copyright 2011 Reuben D'Netto
//
//     This file is part of SMWebUI.
//
//     SMWebUI is free software: you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation, either version 3 of the License, or
//     (at your option) any later version.
//
//     SMWebUI is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
//
//     You should have received a copy of the GNU General Public License
//     along with SMWebUI.  If not, see <http://www.gnu.org/licenses/>.


#ifndef SMPLAYER_STRUCTS_H
#define SMPLAYER_STRUCTS_H

#include <QString>

struct _PlaylistItem{
public:
	QString name;
	QString path;
	int length;

	QString lengthString(){
		if(length >= 3600)
			return QString("%1:%2:%3").arg(QString::number(length / 3600), QString::number((length % 3600) / 60), QString::number(length % 60));
		else
			return QString("%1:%2").arg(QString::number(length / 60), QString::number(length % 60));
	}
};
typedef struct _PlaylistItem PlaylistItem;

struct _ClipInfo{
public:
	QString filename;
	float position;
	float duration;
	QString title;
	QString artist;
	QString author;
	QString album;
	QString genre;
	QString date;
	QString track;
	QString copyright;
	QString comment;
	QString software;
};
typedef struct _ClipInfo ClipInfo;

#endif // SMPLAYER_STRUCTS_H
